## stracciatella-session 0.0.2

=== Makefile ===
GETTEXT_DOMAIN=stracciatella-session

POFILES = $(wildcard po/*.po)
MOFILES = $(patsubst %.po,%.mo,$(POFILES))

default: gnome-stracciatella.desktop po/$(GETTEXT_DOMAIN).pot $(MOFILES)

#
# i18n files
#

%.mo: %.po
	msgfmt -o $@ $<

gnome-stracciatella.desktop: gnome-stracciatella.desktop.in
	intltool-merge -d po $< $@
	sed -i "s/@GETTEXT_DOMAIN@/$(GETTEXT_DOMAIN)/g" $@

po/$(GETTEXT_DOMAIN).pot:
	cd po; intltool-update --verbose -p -g $(GETTEXT_DOMAIN)

merge-po: po/$(GETTEXT_DOMAIN).pot
	for f in po/*.po; do msgmerge --update --verbose --strict $$f $<; done	

#
# install
#

install: gnome-stracciatella.desktop $(MOFILES)
	install -D -m 644 $< $(DESTDIR)/usr/share/xsessions/$<
	install -D -m 755 gnome-stracciatella-session $(DESTDIR)/usr/bin/gnome-stracciatella-session
	for f in $(MOFILES); do \
	    D=$$DESTDIR/usr/share/locale/`basename $$f .mo`/LC_MESSAGES/; \
            install -D -m 644 $$f $$D/$(GETTEXT_DOMAIN).mo ; \
        done

#
# clean
#

distclean: clean
clean:
	rm -f gnome-stracciatella.desktop
	rm -f po/$(GETTEXT_DOMAIN).pot
	rm -f $(MOFILES)

.PHONY: default install clean distclean merge-po

=== debian/changelog ===
stracciatella-session (0.0.2) jaunty; urgency=low

  * debian/control: Version the notification-daemon release, so that
    it won't get satisfied by notify-osd's Provides:.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Feb 2009 18:04:38 +0100

stracciatella-session (0.0.1) jaunty; urgency=low

  * Initial release. (See UbuntuSpec:stracciatella-session)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Feb 2009 20:28:59 +0100

## stracciatella-session 0.0.3

=== debian/changelog ===
stracciatella-session (0.0.3) lucid; urgency=low

  * remove wrapper (uneeded with new GDM as GDMSESSION is exported by
    it) and install from Makefile
  * gnome-stracciatella.desktop.in: call gnome-session instead of wrapper

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 07 Dec 2009 19:52:02 +0100

## stracciatella-session 0.0.4

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,6 @@
 
 install: gnome-stracciatella.desktop $(MOFILES)
 	install -D -m 644 $< $(DESTDIR)/usr/share/xsessions/$<
-	install -D -m 755 gnome-stracciatella-session $(DESTDIR)/usr/bin/gnome-stracciatella-session
 	for f in $(MOFILES); do \
 	    D=$$DESTDIR/usr/share/locale/`basename $$f .mo`/LC_MESSAGES/; \
             install -D -m 644 $$f $$D/$(GETTEXT_DOMAIN).mo ; \

=== debian/changelog ===
stracciatella-session (0.0.4) natty-proposed; urgency=low

  * gnome-stracciatella.desktop.in:
    - Run 2d-session to use metacity instead of compiz and unity.
    - Disable COMPIZ_CONFIG_PROFILE to avoid running unity in compiz.
    - Disable overlay scrollbars. (LP: #766660)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Apr 2011 18:15:05 +0200

=== debian/control ===
Source: stracciatella-session
Section: gnome
Priority: extra
Build-Depends: cdbs, debhelper (>= 7), intltool
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/stracciatella-session/ubuntu/
Homepage: https://launchpad.net/stracciatella-session

Package: gnome-stracciatella-session
Architecture: all
Depends: gnome-session, notification-daemon (>= 0), ${misc:Depends}
Description: GNOME session without Ubuntu specific components
 Ubuntu exchanges a few GNOME components by default.
 .
 This package provides a new X session type to start GNOME without
 Ubuntu specific components.
 .
 Please see this web page for more details:
 https://wiki.ubuntu.com/DesktopTeam/Specs/Jaunty/StracciatellaSession

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)
